Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.linker
Interface StatementRanges

    public interface StatementRanges

Describes the source-code positions of top-level statements in a string of JavaScript.

Method Summary
`int` | `end(int i)` The end of the ith statement.
`int` | `numStatements()` The number of statements in the associated JavaScript.
`int` | `start(int i)` The start of the ith statement.

Method Detail

### end

    int end(int i)

  The end of the ith statement.

### numStatements

    int numStatements()

  The number of statements in the associated JavaScript.

### start

    int start(int i)

  The start of the ith statement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD